std::condition_variable_any(3)

NAME
std::condition_variable_any - condition_variable_any

SYNOPSIS

  Public Member Functions
condition_variable_any (const condition_variable_any &)=delete
void notify_all () noexcept
void notify_one () noexcept
condition_variable_any & operator= (const condition_variable_any &)=delete
template<typename _Lock > void wait (_Lock &__lock)
template<typename _Lock , typename _Predicate > void wait (_Lock &__lock, _Predicate __p)
template<typename _Lock , typename _Rep , typename _Period > cv_status wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Lock , typename _Rep , typename _Period , typename _Predicate > bool wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime, _Predicate __p)
template<typename _Lock , typename _Clock , typename _Duration > cv_status wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime)
template<typename _Lock , typename _Clock , typename _Duration , typename _Predicate > bool wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime, _Predicate __p)

Detailed Description

condition_variable_any

Definition at line 253 of file condition_variable.

Author

Generated automatically by Doxygen for libstdc++ from the source code.